<template>
  <div class="benefits">
    <p v-for="(benefit, index) in benefitsList" :key="`${index}+benefit+${designType}`" class="benefits__list">
     <img v-if="designType === 'SmartStudy'" src="~/assets/images/StarIconBlue.svg" alt="*" class="benefits__icon" />
     <img v-else src="~/assets/images/StarIcon.svg" alt="*" class="benefits__icon" />
      
      <span 
      v-if="benefit.highlight" 
      :class="['benefits__item', `benefits__item--${designType}`,`benefits__item-highlight--${designType}`]" 
      v-html="highlightText(benefit.text, designType)"
      ></span>
    
      <span v-else :class="['benefits__item', `benefits__item--${designType}`]">{{ benefit.text }}</span>
    </p>
    
    <button :class="['benefits__btn', `benefits__btn--${designType}`]">
      <img v-if="designType === 'SmartStudy'" src="~/assets/images/LockIconBlue.svg" alt="" />
      <img v-else src="~/assets/images/LockIcon.svg" alt="" />
      Safe & secure payment
    </button>
   
    <p :class="['benefits__legal', `benefits__legal--${designType}`]">
      $0.99 charged today. If you don't cancel at least 24 hours before the end of the 3-day 
      trial period, you will automatically be charged the full price of $19.99/Month. 
      You can cancel your subscription at any time. By continuing, you indicate that 
      you've read and agree to our Terms & Conditions, Privacy Policy , Money Back , and Subscription Terms .
    </p>
  </div>
</template>

<script>
// import { mapGetters } from 'vuex';
export default {
  name: 'BenefitsList',
  props: {
      designType: {
            type: String,
            required: true
        },
  },
  computed: {
    benefitsList(){
      return [
        {text: 'Exclusive access to 350+ learning programs', highlight: true},
        {text: 'Personalized course plan', highlight: false},
        {text: 'Comfy learning schedule made by you', highlight: false},
        {text: '24/7 tutor support in a secure chat', highlight: true},
        {text: 'Lifetime access to materials', highlight: false},
      ]
    },
  },
  methods:{
    highlightText(text, designType) {
      const color = {
        'SmartStudy': '#66EDFF',
        'PlanetLearn': '#FF8D24'
      };
      return text
      .replace('350+', `<span style="color: ${color[designType]}; font-weight: bold;">350+</span>`)
      .replace('24/7', `<span style="color: ${color[designType]}; font-weight: bold;">24/7</span>`);
    },
  }
}
</script>

<style lang="scss">
.benefits {
  display: flex;
  flex-direction: column;
  &__list{
    display: flex;
    align-items: center;
    margin-bottom: 21px;  

  }
  &__icon{
    margin-right: 10px;
  }
  &__item{
    font-size: 16px;
    
    &--SmartStudy{
    color: #FFF;
    }

    &--PlanetLearn{
      color: #000;
    }
  }
  &__item-highlight{
    &--SmartStudy{
    color: #FFF;
      @media screen and (min-width: 768px) {
        color: #66EDFF;
      }
    }
  }
  &__btn{
    width: 100%;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 16px;
    margin-bottom: 24px;
    font-weight: 600;
    &--PlanetLearn{
      color: #01C120;
      background-color: #FFF;
      border: 1px solid rgba(0, 0, 0, 0.20);
    }
    &--SmartStudy{
      color: #66EDFF;
      background: rgba(0, 0, 0, 0.20);
      border: none;
    }
    img {
      margin-right: 8px;
    }
  }

  &__legal {
    text-align: center;
    font-family: Proxima Nova;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%; 
    &--SmartStudy{
    color: #FFF;
    }
    &--PlanetLearn{
      color: #000;
    }
  }
}
</style>